%define	name	mikmod
%define	version	3.2.1
%define	release	%mkrel 6

Name:		%{name}
Summary:	A MOD music file player
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sound 
Source0:	%{name}-%{version}.tar.bz2
#Patch0:	mikmod-3.1.6-a-va_end-fixes.patch.bz2
Patch1:		mikmod-3.2.1-fix-warnings.patch.bz2
Patch2:		mikmod-3.2.1-document-color-in-man-page.patch.bz2
Patch3:		mikmod-3.2.1-playmode-in-man-page.patch.bz2
Patch4:		mikmod-3.2.1-fix-hyphen-in-man-page.patch.bz2
URL:		http://mikmod.raphnet.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libmikmod-devel ncurses-devel

%description
MikMod is one of the best and most well known MOD music file players for 
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup -q
#%patch0 -p1 -b .va_end-fixes
%patch1 -p1 -b .fix_warnings
%patch2 -p1 -b .man_color
%patch3 -p1 -b .man_playmode
%patch4 -p1 -b .man_hyphen

%build
%configure	--enable-color-interface
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -fr %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Mar 02 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.2.1-6mdv2007.0
+ Revision: 131570
- remove rather useless and conflicting provides/obsoletes
- Import mikmod



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.1-4mdv2007.0
- Rebuild

* Mon Jun 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.2.1-3mdv2007.0
- %%mkrel
- fix summary-ended-with-dot
- drop COPYING as it's license is included in common-licenses
- drop INSTALL as it's of no use
- from debian:
	o Eliminate some compile warnings (P1)
	o Document --color in the manpage (P2)
	o Fix playmode documentation in the manpage. The default: output of
	  mikmod -h does depend on your actual mikmod configuration, and is correct
	  for an unconfigured mikmod
	o Fix manpage to use HYPHEN-MINUS ("\-") instead of HYPHEN ("-"), which
	  would be rendered differently on unicode terminals

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.2.1-2mdk
- Rebuild

* Tue Jan 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.2.1-1mdk
- 3.2.1 (fork..)
- drop P0 (merged upstream)
- enable new color interface
- use %%configure, %%make and %%makeinstall macro
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- drop Prefix tag
- cosmetics
- updated url (old project dead?)

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.6a-14mdk
- fix deps

* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 3.1.6a-13mdk
- BuildRequires

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.6a-12mdk
- Patch0: Fix call to va_end() function

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-11mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-10mdk
- fix obsolete-tag Copyright

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-9mdk
- fix provides

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-8mdk
- rebuild

* Mon Mar 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-7mdk
- fix requires on libmikmod

* Tue Mar  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-6mdk
- recompile for 8.0 (for safety)

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-5mdk
- fix the build, better fix of mandir (dynamic)

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 3.1.6a-4mdk
- rebuilt with _mandir macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1.6a-3mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.6a-2mdk
- fix group + cleanup spec file.

* Sat Sep 11 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- updated to version 3.1.6.

* Sat Jul 17 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- fixed to work with shared libmikmod 3.1.6.

* Tue May 11 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.
